## org.eclipse.jet.compiler
Class Problem

    java.lang.Object
      org.eclipse.jet.compiler.Problem

    public class Problem

extends java.lang.Object

Represent a compilation problem on a JET2 tempalte.

Field Summary
`static int` `DeprecatedAttribute` Use of an attribute that has been deprecated.
`static int` `DeprecatedTag` Use of the tag has been deprecated.
`static int` `DuplicateAttribute` Represent a duplicate attribute in an XML Tag;
`static int` `DuplicateXMLNamespacePrefix` Error Id for taglib directive that defines a prefix defined by a preceding taglib directive
`static int` `JETException` An underlying JETException was thrown by the JET parser
`static int` `MissingRequiredAttribute` Error Id for an XML tag or JET directive that is missing a required attribute
`static int` `MissingXmlEndTag` Error Id for an XML start tag that has no corresponding end tag.
`static int` `MissingXmlStartTag` Error Id for an XML end tag that has no corresponding start tag.
`static int` `MultipleTemplatesWithSameJavaClass` Two templates specify that they compile to the same Java Class
`static int` `TagCannotBeEmpty` Tag must have content - the tag must be of the form <tagName>xxx</tagName>.
`static int` `TagCannotHaveContent` Tag may not have a body - the tag must be of the form <tagName/>.
`static int` `TagInterpretedAsEmptyTag` A tag this is declared as an 'emptyTag' occured as <tag ...
`static int` `UnknownAttributeInTag` Error Id for an attribute that is not defined in the tag definition
`static int` `UnknownTagLibrary` Error Id for taglib directive that defines references an unknown tag library id
`static int` `UnknownXMLTag` A tag that has a known tag library prefix, but is not a recognized name.
`static int` `UnsupportedDirective` Unsupported Directive.
`static int` `UnterminatedXMLTag` Represent an unterminated XML Tag

Constructor Summary
`Problem(java.lang.String originatingFileName, org.eclipse.jet.internal.parser.ParseProblemSeverity severity, int id, java.lang.String message, java.lang.Object[] messageArgs, int start, int end, int lineNumber, int colOffset)` Create an new instance

Method Summary
`int` `getColOffset()`
`int` `getEnd()`
`int` `getId()`
`int` `getLineNumber()`
`java.lang.String` `getMessage()`
`java.lang.Object[]` `getMessageArgs()`
`java.lang.String` `getOriginatingFileName()`
`org.eclipse.jet.internal.parser.ParseProblemSeverity` `getSeverity()`
`int` `getStart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MissingXmlStartTag

    public static final int MissingXmlStartTag

  Error Id for an XML end tag that has no corresponding start tag.

  See Also:
    `getId()`, Constant Field Values

### MissingXmlEndTag

    public static final int MissingXmlEndTag

  Error Id for an XML start tag that has no corresponding end tag.

  See Also:
    `getId()`, Constant Field Values

### MissingRequiredAttribute

    public static final int MissingRequiredAttribute

  Error Id for an XML tag or JET directive that is missing a required attribute

  See Also:
    `getId()`, Constant Field Values

### DuplicateXMLNamespacePrefix

    public static final int DuplicateXMLNamespacePrefix

  Error Id for taglib directive that defines a prefix defined by a preceding taglib directive

  See Also:
    `getId()`, Constant Field Values

### UnknownTagLibrary

    public static final int UnknownTagLibrary

  Error Id for taglib directive that defines references an unknown tag library id

  See Also:
    `getId()`, Constant Field Values

### UnknownAttributeInTag

    public static final int UnknownAttributeInTag

  Error Id for an attribute that is not defined in the tag definition

  See Also:
    Constant Field Values

### UnterminatedXMLTag

    public static final int UnterminatedXMLTag

  Represent an unterminated XML Tag

  See Also:
    Constant Field Values

### DuplicateAttribute

    public static final int DuplicateAttribute

  Represent a duplicate attribute in an XML Tag;

  See Also:
    Constant Field Values

### JETException

    public static final int JETException

  An underlying JETException was thrown by the JET parser

  See Also:
    Constant Field Values

### MultipleTemplatesWithSameJavaClass

    public static final int MultipleTemplatesWithSameJavaClass

  Two templates specify that they compile to the same Java Class

  See Also:
    Constant Field Values

### DeprecatedAttribute

    public static final int DeprecatedAttribute

  Use of an attribute that has been deprecated.

  See Also:
    Constant Field Values

### TagCannotHaveContent

    public static final int TagCannotHaveContent

  Tag may not have a body - the tag must be of the form <tagName/>.

  See Also:
    Constant Field Values

### TagCannotBeEmpty

    public static final int TagCannotBeEmpty

  Tag must have content - the tag must be of the form <tagName>xxx</tagName>.

  See Also:
    Constant Field Values

### DeprecatedTag

    public static final int DeprecatedTag

  Use of the tag has been deprecated.

  See Also:
    Constant Field Values

### UnsupportedDirective

    public static final int UnsupportedDirective

  Unsupported Directive.

  See Also:
    Constant Field Values

### UnknownXMLTag

    public static final int UnknownXMLTag

  A tag that has a known tag library prefix, but is not a recognized name. Usually indicates a typographical error.

  See Also:
    Constant Field Values

### TagInterpretedAsEmptyTag

    public static final int TagInterpretedAsEmptyTag

  A tag this is declared as an 'emptyTag' occured as <tag ...>, and has been interpreted as the equivalent empty tag <tag .../>.

  See Also:
    Constant Field Values

Constructor Detail

### Problem

    public Problem(java.lang.String originatingFileName,
                   org.eclipse.jet.internal.parser.ParseProblemSeverity severity,
                   int id,
                   java.lang.String message,
                   java.lang.Object[] messageArgs,
                   int start,
                   int end,
                   int lineNumber,
                   int colOffset)

  Create an new instance

  Parameters:
    `originatingFileName` - the file name from which the problem originates
    `severity` - the severity
    `id` - the problem id. See static constants declared on this class
    `message` - the error message in `MessageFormat` style
    `messageArgs` - the error message arguments
    `start` - the start offset of the problem (doc relative)
    `end` - the end offset of the problem (doc relative)
    `lineNumber` - the start line of the problem
    `colOffset` - TODO

Method Detail

### getEnd

    public int getEnd()

  Returns:
    Returns the end.

### getId

    public int getId()

  Returns:
    Returns the id.

### getLineNumber

    public int getLineNumber()

  Returns:
    Returns the lineNumber.

### getMessage

    public java.lang.String getMessage()

  Returns:
    Returns the message.

### getMessageArgs

    public java.lang.Object[] getMessageArgs()

  Returns:
    Returns the messageArgs.

### getOriginatingFileName

    public java.lang.String getOriginatingFileName()

  Returns:
    Returns the originatingFileName.

### getSeverity

    public org.eclipse.jet.internal.parser.ParseProblemSeverity getSeverity()

  Returns:
    Returns the severity.

### getStart

    public int getStart()

  Returns:
    Returns the start.

### getColOffset

    public final int getColOffset()

  Returns:
    Returns the colOffset.

Copyright 2006 IBM Corporation and others. All Rights Reserved.